services:
  _defaults:
    autowire: true
    autoconfigure: true

  AutoAdmin\Bundle\Admin\Twig\Extension\SidebarExtension:
    public: false
    autowire: true
    tags:
      - { name: 'twig.extension' }

  AutoAdmin\Bundle\Admin\Twig\Extension\RoutingExtension:
    arguments:
      - '@AutoAdmin\Bundle\Admin\Router\AdminRouter'
    tags:
      - 'twig.extension'

  AutoAdmin\Bundle\Admin\Twig\Extension\LocaleExtension:
    public: false
    arguments:
      - '@AutoAdmin\Bundle\Content\Site\SiteContextHelper'
    tags:
      - { name: 'twig.extension' }

  AutoAdmin\Bundle\Admin\Twig\Extension\FrontendBarExtension:
    public: false
    arguments:
      - '@twig'
      - '@AutoAdmin\Bundle\Content\Context\ContentContext'
      - '@AutoAdmin\Bundle\Content\Site\SiteContextHelper'
      - '@AutoAdmin\Bundle\Admin\Router\AdminRouter'
      - '@Symfony\Contracts\Translation\TranslatorInterface'
    tags:
      - { name: 'twig.extension' }

  AutoAdmin\Bundle\Admin\Twig\Extension\AdminExtension:
    public: false
    arguments:
      - '@request_stack'
      - '@AutoAdmin\Bundle\Admin\Configuration\ConfigManager'
    tags:
      - { name: 'twig.extension' }

  AutoAdmin\Bundle\Admin\Twig\Extension\EntityExtension:
    public: false
    arguments:
      - '@AutoAdmin\Bundle\Admin\Helper\EntityPrevNextHelper'
    tags:
      - { name: 'twig.extension' }

  AutoAdmin\Bundle\Media\Twig\Extension\MediaExtension:
    arguments:
      - '@AutoAdmin\Bundle\Media\Service\PublicPathGenerator'
      - '@liip_imagine.cache.manager'
    tags:
      - 'twig.extension'